This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 577915 - parted doesn't recognise/show msdos partition
parted doesn't recognise/show msdos partition
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-29 13:32 EDT by Thomas Meyer
Modified: 2010-03-31 03:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-31 03:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Meyer 2010-03-29 13:32:32 EDT
Description of problem:
my hard drive has a MBR/msdos partitioning scheme, but also some remaining GPT data structures from an previous OS installation. GPT fails to show the msdos partitions.

Version-Release number of selected component (if applicable):
Installierte Pakete
Name       : parted
Architektur : x86_64
Version    : 1.9.0
Ausgabe    : 17.2.fc12
Grösse     : 1.9 M
Repo       : installed
Aus repo    : updates

How reproducible:
Always

Steps to Reproduce:
1. parted /dev/sdb
2.  in parted enter command "print"
3.  parted shows error "Warning: /dev/sdb contains GPT signatures, indicating that it has a GPT table.
However, it does not have a valid fake msdos partition table, as it should.
Perhaps it was corrupted -- possibly by a program that doesn't understand GPT
partition tables.  Or perhaps you deleted the GPT table, and are now using an
msdos partition table.  Is this a GPT partition table
Yes/No?"

4. answer with "No".
5. nothing happens; parted is unable to show the actual msdos partitions.
6. enter "print" again and you get above warning again, again and again


Actual results:
No partitions are displayed

Expected results:
parted should show the msdos partitions.

Additional info:
Comment 1 Hans de Goede 2010-03-30 05:00:33 EDT
Hi,

Thanks for the bug report!

Can you please retest with the latest parted, parted-2.1-xx ?

You can either use an existing F-12 install, and update libblkid and parted
manually to the F-13 versions:
http://koji.fedoraproject.org/koji/buildinfo?buildID=162993
http://koji.fedoraproject.org/koji/buildinfo?buildID=157221

Or boot from the F-13 alpha livecd and run parted from there.

Thanks,

Hans
Comment 2 Thomas Meyer 2010-03-30 15:20:31 EDT
Hi Hans,

sorry, but I got impatient and had a look at the structure of the GPT partition layout. It turned out all I had to do was:

dd if=/dev/zero of=/dev/sdxN seek=1 count=1

to remove/zero out the old GPT data.

After that parted worked as expected.

So feel free to close this bug.

But hopefully this bug is been fixed in the new version of parted!
Comment 3 Hans de Goede 2010-03-31 03:19:10 EDT
Ok,

Closing this out then.

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.